Search Branded Foods
curl --request GET \
--url https://api.orbbit.co/v1/branded-foods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orbbit.co/v1/branded-foods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbbit.co/v1/branded-foods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "data_branded_food_01k2x7f3m9q8r4t6v0w2y5z8ab",
"fdc_id": 2345678,
"description": "SHARP CHEDDAR CHEESE",
"short_description": null,
"brand_owner": "Kraft Heinz Foods Company",
"brand_name": "CRACKER BARREL",
"subbrand_name": null,
"category": "Cheese",
"gpc_class_code": 10000013,
"upc": "021000601366",
"package_weight": "7 oz/198 g",
"serving_size": 28,
"serving_size_unit": "GRM",
"serving_size_unit_normalized": "g",
"household_serving_text": "1 oz",
"preparation_state_code": null,
"market_country": "United States",
"market_country_normalized": "US",
"trade_channels": [
"NO_TRADE_CHANNEL"
],
"ingredients": "CHEDDAR CHEESE (PASTEURIZED MILK, CHEESE CULTURE, SALT, ENZYMES, ANNATTO (COLOR)).",
"nutrition": {
"calories": 110,
"fat": 9,
"saturated_fat": 6,
"trans_fat": 0,
"cholesterol": 30,
"sodium": 180,
"carbohydrates": 0,
"fiber": 0,
"sugars": 0,
"added_sugar": 0,
"protein": 7,
"calcium": 200,
"iron": 0,
"potassium": 20,
"vitamin_d": 0
},
"nutrients": [],
"attributes": [],
"caffeine_statement": null,
"footnote": null,
"data_source": "GDSN",
"published_on": "2024-10-31",
"available_on": "2024-10-31",
"modified_on": "2024-09-12",
"discontinued_on": null,
"source": "usda-fdc",
"fetched_at": "2026-08-23T03:29:33.000Z"
}
],
"next_cursor": "data_branded_food_01k2x7f3m9q8r4t6v0w2y5z8ab"
}{
"error": {
"type": "invalid_request",
"message": "Unknown series: butter-spot"
}
}{
"error": {
"type": "unauthorized",
"message": "Missing or malformed Authorization: Bearer header"
}
}{
"error": {
"type": "forbidden",
"message": "This key is not scoped to search-branded-foods"
}
}Branded Food
Search Branded Foods
Search packaged foods by name, brand, category, barcode, or an ingredient they contain; every filter is optional and they combine as AND.
Requires the search-branded-foods scope.
GET
/
v1
/
branded-foods
Search Branded Foods
curl --request GET \
--url https://api.orbbit.co/v1/branded-foods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orbbit.co/v1/branded-foods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbbit.co/v1/branded-foods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "data_branded_food_01k2x7f3m9q8r4t6v0w2y5z8ab",
"fdc_id": 2345678,
"description": "SHARP CHEDDAR CHEESE",
"short_description": null,
"brand_owner": "Kraft Heinz Foods Company",
"brand_name": "CRACKER BARREL",
"subbrand_name": null,
"category": "Cheese",
"gpc_class_code": 10000013,
"upc": "021000601366",
"package_weight": "7 oz/198 g",
"serving_size": 28,
"serving_size_unit": "GRM",
"serving_size_unit_normalized": "g",
"household_serving_text": "1 oz",
"preparation_state_code": null,
"market_country": "United States",
"market_country_normalized": "US",
"trade_channels": [
"NO_TRADE_CHANNEL"
],
"ingredients": "CHEDDAR CHEESE (PASTEURIZED MILK, CHEESE CULTURE, SALT, ENZYMES, ANNATTO (COLOR)).",
"nutrition": {
"calories": 110,
"fat": 9,
"saturated_fat": 6,
"trans_fat": 0,
"cholesterol": 30,
"sodium": 180,
"carbohydrates": 0,
"fiber": 0,
"sugars": 0,
"added_sugar": 0,
"protein": 7,
"calcium": 200,
"iron": 0,
"potassium": 20,
"vitamin_d": 0
},
"nutrients": [],
"attributes": [],
"caffeine_statement": null,
"footnote": null,
"data_source": "GDSN",
"published_on": "2024-10-31",
"available_on": "2024-10-31",
"modified_on": "2024-09-12",
"discontinued_on": null,
"source": "usda-fdc",
"fetched_at": "2026-08-23T03:29:33.000Z"
}
],
"next_cursor": "data_branded_food_01k2x7f3m9q8r4t6v0w2y5z8ab"
}{
"error": {
"type": "invalid_request",
"message": "Unknown series: butter-spot"
}
}{
"error": {
"type": "unauthorized",
"message": "Missing or malformed Authorization: Bearer header"
}
}{
"error": {
"type": "forbidden",
"message": "This key is not scoped to search-branded-foods"
}
}Authorizations
Your API key, which starts with orbbit_data_.
Query Parameters
Product name contains this, ignoring case; empty or absent means no filter
Brand owner, brand name, or sub-brand contains this, ignoring case
Exact category, ignoring case — see GET /v1/branded-foods/categories for the accepted values
Exact barcode (GTIN/UPC)
Ingredient statement contains this, ignoring case
Page size, 1–200; defaults to 50
Required range:
1 <= x <= 200The next_cursor of the previous page; absent means the first page